OpenapiClient
Delete a client app
Deletes an OAuth client application and its associated roles. Built-in client apps (admin console, user account center, the realm's built-in API Key client app, and the built-in MCP client) cannot be deleted — disabling is the supported off-switch for the MCP client.
Deletes an OAuth client application and its associated roles. Built-in client apps (admin console, user account center, the realm's built-in API Key client app, and the built-in MCP client) cannot be deleted — disabling is the supported off-switch for the MCP client.
Path Parameters
clientAppId*string
Client App UUID
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/client/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}